### Method

# Adw StyleManager set_color_scheme

#### Declaration [src]

    void
    adw_style_manager_set_color_scheme (
      AdwStyleManager* self,
      AdwColorScheme color_scheme
    )

#### Description [src]

Sets the requested application color scheme.

The effective appearance will be decided based on the application color scheme and the system preferred color scheme. The `AdwStyleManager:dark` property can be used to query the current effective appearance.

The `ADW_COLOR_SCHEME_PREFER_LIGHT` color scheme results in the application using light appearance unless the system prefers dark colors. This is the default value.

The `ADW_COLOR_SCHEME_PREFER_DARK` color scheme results in the application using dark appearance, but can still switch to the light appearance if the system can prefers it, for example, when the high contrast preference is enabled.

The `ADW_COLOR_SCHEME_FORCE_LIGHT` and `ADW_COLOR_SCHEME_FORCE_DARK` values ignore the system preference entirely. They are useful if the application wants to match its UI to its content or to provide a separate color scheme switcher.

If a per-`GdkDisplay` style manager has its color scheme set to `ADW_COLOR_SCHEME_DEFAULT`, it will inherit the color scheme from the default style manager.

For the default style manager, `ADW_COLOR_SCHEME_DEFAULT` is equivalent to `ADW_COLOR_SCHEME_PREFER_LIGHT`.

The `AdwStyleManager:system-supports-color-schemes` property can be used to check if the current environment provides a color scheme preference.

Sets property | `Adw.StyleManager:color-scheme`

#### Parameters

`color_scheme`

  Type: `AdwColorScheme`

  The color scheme.